Email Registrations - Activate Email
使用收到的电子邮件代码激活租户和电子邮件组合。
激活当前租户的电子邮件注册
POST https://management.azure.com/providers/Microsoft.DataShare/locations/{location}/activateEmail?api-version=2021-08-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
location
|
path | True |
string |
激活的位置。 |
|
api-version
|
query | True |
string |
要使用的 API 版本。 |
请求正文
| 名称 | 类型 | 说明 |
|---|---|---|
| activationCode |
string |
注册的激活代码 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
成功 |
|
| Other Status Codes |
从 Microsoft.DataShare 资源提供程序收到的错误响应。 |
安全性
azure_auth
Azure Active Directory OAuth2 Flow。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
EmailRegistrations_ActivateEmail
示例请求
POST https://management.azure.com/providers/Microsoft.DataShare/locations/East US 2/activateEmail?api-version=2021-08-01
{
"activationCode": "djsfhakj2lekowd3wepfklpwe9lpflcd"
}
示例响应
Date: Wed, 13 Sep 2021 18:04:32 GMT
x-ms-request-id: d5496da4-9c52-402f-b067-83cc9ddea888
X-Content-Type-Options: nosniff
x-ms-ratelimit-remaining-tenant-reads: 14999
x-ms-correlation-request-id: 25c78f97-0b0a-4fe9-ad39-883a482265cd
{
"tenantId": "9f532315-b048-4374-8de1-14734d9b7f77",
"email": "receiver@microsoft.com",
"registrationStatus": "Activated",
"activationCode": null,
"activationExpirationDate": "2022-08-12T16:44:53.688049Z"
}
定义
| 名称 | 说明 |
|---|---|
|
Data |
数据共享错误模型。 |
|
Data |
数据共享错误正文模型。 |
|
Email |
用于租户域注册的 Dto |
|
registration |
注册状态 |
DataShareError
数据共享错误模型。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
数据共享错误正文 |
DataShareErrorInfo
数据共享错误正文模型。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
错误的代码 |
| details |
错误模型的嵌套详细信息 |
|
| message |
string |
错误的消息 |
| target |
string |
错误目标 |
EmailRegistration
用于租户域注册的 Dto
| 名称 | 类型 | 说明 |
|---|---|---|
| activationCode |
string |
注册的激活代码 |
| activationExpirationDate |
string (date-time) |
激活到期日期 |
|
string |
要注册的电子邮件 |
|
| registrationStatus |
注册状态 |
|
| tenantId |
string |
要注册的租户 |
registrationStatus
注册状态
| 值 | 说明 |
|---|---|
| ActivationPending | |
| Activated | |
| ActivationAttemptsExhausted |